Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-27500

Upgrade TinyMCE to the latest version

    Details

    • Type: Task
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.1
    • Component/s: HTML Editor (TinyMCE)
    • Labels:
      None

      Description

      TinyMCE is currently at 3.4.2: http://tinymce.moxiecode.com/ https://github.com/tinymce/tinymce

      In Moodle 2.1 we currently have 3.3.9.2.

      Upgrade procedure (from lib/editor/tinymce/readme_moodle.txt) :

      1/ clone http://github.com/skodak/tinymce
      2/ clone http://github.com/skodak/tinymce_spellchecker_php
      3/ merge new changes in MOODLE_20_STABLE branches in these těo repos
      4/ tweak paths in build script in moodle_build.sh and execute
      5/ fix line endings
      6/ download all TinyMCE lang files (extra/tools/download_langs.sh)
      7/ update moodle lang string files (extra/tools/update_lang_files.php)

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Fix Release Date:
                    1/Jul/11